﻿/* The Modal (background) */
.modal-wrapper {
    display: none;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.4);
}

.modal {
    display: none;
    opacity: 1;
    visibility: visible;
    overflow: auto;
}

/* Modal Content/Box */
.modal-content {
    z-index: 3;
    background-color: white;
    margin: 5% auto;
    border: 1px solid #888;
    -ms-border-radius: 10px;
    border-radius: 10px;
    width: 75%;
    min-height: 50px;
    box-shadow: 10px 10px 5px #313E4F;
    transform: translate3d(0,50px,0);
}


/* The Close Button */
.close-btn {
    color: #aaa;
    float: right;
    font-size: 26px;
    font-weight: bold;
}

.close-btn:hover,
.close-btn:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.modal-small .modal-content {
    width: 30%;
}

.modal-medium .modal-content {
    width: 50%;
}

.modal-body {
    padding: 10px;
}

.modal-body.extra-padding {
    padding: 30px;
}

.modal-body.extra-padding-sides-only {
    padding-left: 30px;
    padding-right: 30px;
}

.reset-margin-top .grid:not(.hide) {
    margin-top: 0;
}

.reset-margin-top .grid:not(.hide) ~ .grid:not(.hide) {
    margin-top: 10px;
}

.reset-margin-top .grid > * {
    padding-top: 0 !important;
}

.modal-background-off-color {
    background-color: #eeeced;
}

.modal-background-off-color .field-group {
    background-color: transparent;
    box-shadow: none;
}

.modal__header {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.modal__footer {
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.modal-trigger {
    cursor: pointer;
}

.modal-body > .align-content-with-header {
    padding-right: 20px;
    padding-left: 20px;
}

.modal-content.no-top-margin {
    margin-top: 0;
}
